Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::ImageOptions Class Reference

Inheritance diagram for osgDB::ImageOptions:

[legend]
List of all members.

## Public Types
enum | ImageWindowMode { ALL_IMAGE, RATIO_WINDOW, PIXEL_WINDOW }
enum | ImageSamplingMode { NEAREST, LINEAR, CUBIC }
## Public Member Functions
| ImageOptions ()
| ImageOptions (const std::string &str)
| ImageOptions (const ImageOptions &options, const osg::CopyOp copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgDB, ImageOptions)
void | init ()
## Public Attributes
ImageSamplingMode | _sourceImageSamplingMode
ImageWindowMode | _sourceImageWindowMode
RatioWindow | _sourceRatioWindow
PixelWindow | _sourcePixelWindow
osg::ref_ptr< osg::Image > | _destinationImage
ImageWindowMode | _destinationImageWindowMode
RatioWindow | _destinationRatioWindow
PixelWindow | _destinationPixelWindow
GLenum | _destinationDataType
GLenum | _destinationPixelFormat

## Member Enumeration Documentation

enum osgDB::ImageOptions::ImageSamplingMode

  | Enumeration values:
  NEAREST |
  LINEAR |
  CUBIC |

enum osgDB::ImageOptions::ImageWindowMode

  | Enumeration values:
  ALL_IMAGE |
  RATIO_WINDOW |
  PIXEL_WINDOW |

## Constructor & Destructor Documentation

osgDB::ImageOptions::ImageOptions | ( |  | ) |

osgDB::ImageOptions::ImageOptions | ( | const std::string & | str | ) |

osgDB::ImageOptions::ImageOptions | ( | const ImageOptions & | options,
|  | const osg::CopyOp | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

## Member Function Documentation

void osgDB::ImageOptions::init | ( |  | ) |

osgDB::ImageOptions::META_Object | ( | osgDB | ,
|  | ImageOptions |
| ) |

## Member Data Documentation

GLenum osgDB::ImageOptions::_destinationDataType

osg::ref_ptr<osg::Image> osgDB::ImageOptions::_destinationImage

ImageWindowMode osgDB::ImageOptions::_destinationImageWindowMode

GLenum osgDB::ImageOptions::_destinationPixelFormat

PixelWindow osgDB::ImageOptions::_destinationPixelWindow

RatioWindow osgDB::ImageOptions::_destinationRatioWindow

ImageSamplingMode osgDB::ImageOptions::_sourceImageSamplingMode

ImageWindowMode osgDB::ImageOptions::_sourceImageWindowMode

PixelWindow osgDB::ImageOptions::_sourcePixelWindow

RatioWindow osgDB::ImageOptions::_sourceRatioWindow

The documentation for this class was generated from the following file:

- ImageOptions